Subject: Re: [PATCH 3/3] gitweb: remove test when closing file descriptor

From: Jakub Narebski <[email-masked]>
Date: Wed, 17 Nov 2010 00:02:47 +0100

On Thu, 16 Dec 2010, Sylvain Rabot wrote:
> On Thu, 2010-12-16 at 14:30 -0800, Jakub Narebski wrote:
> > Sylvain Rabot <[email-masked]> writes:
> > 
> > > it happens that closing file descriptor fails whereas
> > > the blob is perfectly readable.
> > > 
> > > Signed-off-by: Sylvain Rabot <[email-masked]>
> > > ---
[...]
> > > -	close $fd
> > > -		or die_error(404, "Reading blob failed");
> > > +	close $fd;

[...]
> > In this place we close read end of pipe after at most reading a few
> > bytes (what -T test does), so what might happen is that writer got
> > SIGPIPE and "failed".  But we are not interested in this, so we can
> > safely ignore return from 'close'.
> > 
> > I think that some from above explanation should make it to commit
> > message.
> 
> Thanks for explaining it, I did not have any idea why it was failing.
> Can I use your explanation as commit message ?

Of course.

Though I am not sure if it is really the reason, it looks reasonable.

-- 
Jakub Narebski
Poland